Новости НУБов
Меню Сайта
Главная » 2016 » Июль » 25 » 9.15.1: переход интерфейса на Action Script 3.0
18:13
9.15.1: переход интерфейса на Action Script 3.0

 

Версия 9.15.1 несколько отличается от привычных обновлений World of Tanks: в этот раз более важные изменения произошли в технической части, чем в игровом содержимом, доступном для игроков. Самым значимым техническим нововведением станет переход интерфейса игры на новую версию языка программирования ActionScript 3.0. В этой статье мы расскажем, с какой целью было введено данное изменение, какими преимуществами обладает ActionScript 3.0, и объясним, как избежать неудобств после выхода обновления.

Для чего нужна новая версия ActionScript 3.0

С момента выхода игры для разработки интерфейсных решений использовалась версия ActionScript 2.0. В 2015 году ангар World of Tanks был переведён на ActionScript 3.0, а в версии 9.15.1 боевой интерфейс игры полностью перейдёт на новую версию. После перехода на новую платформу производительность клиента без установленных модификаций в версии 9.15.1 останется на прежнем уровне или незначительно возрастёт. Кроме того, переход на ActionScript 3.0 делает процесс создания модификаций более удобным, а в будущем также позволит увеличить производительность игрового клиента за счёт оптимизации программного кода.

Работоспособность модификаций игрового клиента

При разработке новой платформы для боевого интерфейса команда Wargaming плотно сотрудничала с популярными создателями модификаций. Благодаря предварительно проведённой работе мы смогли значительно снизить риски работоспособности сторонних модификаций клиента. В ближайшее время, после завершения финальных тестов, на портале игры появится список модификаций, адаптированных под версию 9.15.1, — среди них будет большинство популярных модификаций.

Не рекомендуется устанавливать сторонние модификации игрового клиента до выхода официальной новости на портале игры. Перенос «модов» из предыдущих версий в папку 9.15.1 категорически не рекомендуется, так как это гарантированно приведёт к нестабильной работе игры.

Несмотря на плотное сотрудничество команды разработчиков World of Tanks и создателей «модов», к сожалению, некоторые модификации потенциально не будут доступны какое-то время, а их установка может привести к техническим проблемам. Устанавливать их в клиент игры не рекомендуется. Ниже мы приводим список этих модификаций.

XVM

Модификация XVM в настоящий момент может вызывать проблемы с производительностью. Поэтому мы советуем воздержаться от её установки до появления стабильной версий.

Прочие

В версии 9.15.1 не будут работать ряд модификаций, в том числе следующие:

  • панель повреждений от Dellux (Custom Damage Panel);
  • чат с историей сообщений;
  • доработанные иконки техники.

Установка этих модификаций не рекомендуется, т.к. гарантированно приведет к нестабильной работе клиента.

Проблемы, связанные с использованием модификаций

В большинстве случаев проблемы с «модами» решаются удалением модификации игры, иногда для этого требуется целиком переустановить клиент. Подробнее вопросы, связанные с модификациями, а также способы решения проблем рассмотрены здесь.

Компания Wargaming не несёт ответственности за работу игрового клиента с модифицированными файлами. Исключением являются моды WG StreamWG Social, а также озвучка от WGTV. Всем пользователям, использующим эти моды, рекомендуется скачать и установить актуальные версии, перейдя по ссылкам.

Если у Вас наблюдаются какие-либо проблемы, попробуйте запустить игру в безопасном режиме. Для этого:

  • Запустите лончер (файл WoTLauncher.exe).
  • Нажмите на стрелочку рядом с кнопкой «Играть».
  • Выберите «Запустить игру в безопасном режиме».

Категория: Новости Wargaming | Просмотров: 29 | Добавил: [НУБ]Вадим(WoT) | Рейтинг: 0.0/0
Всего комментариев: 0
Добавлять комментарии могут только зарегистрированные пользователи.
[ Регистрация | Вход ]

    Статистика
      Онлайн всего: 1
      Гостей: 1
      Пользователей: 0
      By Dorian |